## LassoSamlpResponse LassoSamlpResponse — <samlp:Response> |

## Functions

LassoNode * | lasso_samlp_response_new ()

## Types and Values

struct | LassoSamlpResponse

## Description

Figure 36. Schema fragment for samlp:Response

    <element name="Response" type="samlp:ResponseType"/>
    <complexType name="ResponseType">
      <complexContent>
        <extension base="samlp:ResponseAbstractType">
          <sequence>
            <element ref="samlp:Status"/>
            <element ref="saml:Assertion" minOccurs="0" maxOccurs="unbounded"/>
          </sequence>
        </extension>
      </complexContent>
    </complexType>

## Functions

### lasso_samlp_response_new ()

    LassoNode *
    lasso_samlp_response_new (void);

Creates a new LassoSamlpResponse object.

#### Returns

a newly created LassoSamlpResponse object

## Types and Values

### struct LassoSamlpResponse

    struct LassoSamlpResponse {
    	LassoSamlpResponseAbstract parent;

    	/* <element ref="samlp:Status"/> */
    	LassoSamlpStatus *Status;
    	/* <element ref="saml:Assertion" minOccurs="0" maxOccurs="unbounded"/> */
    	GList *Assertion; /* of LassoSamlAssertion */
    };